import { http } from '../request/request'

/**
 * 查询学员学习数据
 */
export async function getStudentStudyDataApi(data: any) {
  return await http.get<any>('/sysUser/queryParentBindChildInfo', data)
}

/**
 * 学情报告-学科目录
 * @param data 请求参数
 */
export const subjectApi = async (gradeId: string) => await http.get<any>(`/subject/list/${gradeId}`)

/**
 * 学情报告-学习时长统计
 * @param data 请求参数
 */
export const studyTimeStatApi = async (params: any) =>
  await http.get<any>('/userSubjectReport/study/duration', params)

/**
 * 学情报告-视频学习统计
 * @param data 请求参数
 */
export const videoStudyStatApi = async (params: any) =>
  await http.get<any>('/userSubjectReport/study/video', params)

/**
 * 学情报告-知识图谱统计
 * @param data 请求参数
 */
export const knowledgeStudyStatApi = async (params: any) =>
  await http.get<any>('/userSubjectReport/study/knowledge', params)

/**
 * 学情报告-错题本统计
 * @param data 请求参数
 */
export const studyErrorStatApi = async (params: any) =>
  await http.get<any>('/userSubjectReport/study/error', params)

/**
 * 学情报告-英语语感统计
 * @param data 请求参数
 */
export const englishLanguageStatApi = async (data: any) =>
  await http.post<any>('/userSentenceLearn/queryStatListByTimeType', data)
